#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )
install( FILES kcmsambaconf.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### filesharesamba (static) ###################

tde_add_library( filesharesamba STATIC_PIC AUTOMOC
  SOURCES
    sambafile.cpp share.ui sharedlgimpl.cpp sambashare.cpp
    socketoptionsdlg.ui common.cpp userselectdlg.ui
    groupselectdlg.ui usertab.ui usertabimpl.cpp filemodedlg.ui
    filemodedlgimpl.cpp smbpasswdfile.cpp passwd.cpp hiddenfileview.cpp
    dictmanager.cpp qmultichecklistitem.cpp smbconfconfigwidget.cpp
    linuxpermissionchecker.cpp expertuserdlg.ui
  DEPENDENCIES filesharesamba_generate_headers
)

#  Those headers are also required by target in another subdirectory. 
# So we have to add such target for our generated header files to avoid
# race conditions.
# SEE cmake FAQ: http://www.cmake.org/Wiki/CMake_FAQ
#
add_custom_target( filesharesamba_generate_headers 
  DEPENDS  
    ${CMAKE_CURRENT_BINARY_DIR}/share.h 
    ${CMAKE_CURRENT_BINARY_DIR}/share.h 
    ${CMAKE_CURRENT_BINARY_DIR}/socketoptionsdlg.h
    ${CMAKE_CURRENT_BINARY_DIR}/userselectdlg.h
    ${CMAKE_CURRENT_BINARY_DIR}/groupselectdlg.h
    ${CMAKE_CURRENT_BINARY_DIR}/usertab.h
    ${CMAKE_CURRENT_BINARY_DIR}/filemodedlg.h
    ${CMAKE_CURRENT_BINARY_DIR}/expertuserdlg.h
)


##### kcm_kcmsambaconf (module) #################

tde_add_kpart( kcm_kcmsambaconf AUTOMOC
  SOURCES
    kcminterface.ui kcmprinterdlg.ui printerdlgimpl.cpp kcmsambaconf.cpp
    joindomaindlg.ui
  LINK filesharesamba-static tdeprint-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
